LegendQuest v1.5.3 (zip pack)

Details

  • Filename
    LegendQuest.zip
  • Uploaded by
  • Uploaded
    Jul 30, 2014
  • Size
    344.01 KB
  • Downloads
    491
  • MD5
    706f127bc7d15c33ce42ac3d473e5127

Supported Bukkit Versions

  • CB 1.7.9-R0.2
  • CB 1.7.9-R0.1

Changelog

Beta Release.

1.5.3
baseSpeed and speedModifier for races and classes. Added /unlink command Prevent multiple death notices Added flag to stop sql logging Added log level option Fixed scaleXP command Prevent doubling of XP collection Stop passive skills triggering until level reached Bypass race selection if one race. Added SLOWBLEED effect Effect removal system for skill use. Get target utility methods for skills to target entities looked at. Detect right-click armour equipping. Added verbosestats and disablestats options.
1.5.2
Include "utility" items in ANY tools settings. Improved fishing event detection. Fix issues with 0 karma values.
1.5.1
Admin command, Added Scale XP option to reduce XP. Chat prefix options.. New Events - Display current stat modifier in /stats See http://dev.bukkit.org/bukkit-plugins/legendquest/forum/legendquest/general/67219-beta-testing/#p1 for more details.
1.4.2
Soft depend on LQSkills to allow it to run first and deploy skills jar
Update UUID field length to 36 to allow for pesky dashes (MySQL fix)
1.4.1
manaPerSecond now allows fractional amounts
Rebuild skills check on levelup and class or race change
Round health to 2 decimal places. Fix errors when maxhealth drops (class change)
1.4.0
Added skill dependency system
Fix spent skill points tracking
Better /skill buy handling
1.3.1
Bugfixes....
Allow empty skill file.
Add in string constants for missing race/class.: Add default perms for "plural" commands.
1.3.0
Option to track HP for non-LQ worlds
Finish effect system for 1.3 skills pack.
1.2.0
Effect System.
Fix skill alias default skills settings usage.
1.1.0
Added per world option to main config (worlds: []) leave empty for all.
Added skill alias system.
Moved MAX_LEVEL to main config.
1.0.0
Initial Beta release

Requires 1.7.9-R0.1+ and SQLibrary

Also note that SQLibrary currently requires Java 7 - you can find a Java 6 version here... http://ci.dakanilabs.com/job/SQLibrary-Java6/